--
-- Copyright (C) by AVN, 2007. All rights reserved.
--
DROP FUNCTION uuid_bytea_to_char( BYTEA ); -- CASCADE;
DROP FUNCTION uuid_char_to_bytea( CHAR(36) ); -- CASCADE;

LOAD 'uuid';

CREATE FUNCTION uuid_bytea_to_char( BYTEA ) RETURNS CHAR(36)
  AS 'uuid' LANGUAGE C IMMUTABLE;
--
CREATE FUNCTION uuid_char_to_bytea( CHAR(36) ) RETURNS BYTEA
  AS 'uuid' LANGUAGE C IMMUTABLE;

-- Examples:
-- SELECT length( _idrref ) from _document110 limit 1
-- SELECT uuid_bytea_to_char( _idrref ) from _document110 limit 10
-- SELECT uuid_char_to_bytea( '00000000-0000-0000-0000-000000000000' )
